Package org.kapott.hbci.sepa.jaxb.pain_002_001_11

# Class GenericPersonIdentification1

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_11.GenericPersonIdentification1

public class GenericPersonIdentification1 extends Object

Java class for GenericPersonIdentification1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GenericPersonIdentification1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.11}Max35Text"/>
             <element name="SchmeNm" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.11}PersonIdentificationSchemeName1Choice" minOccurs="0"/>
             <element name="Issr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.11}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`id`
`protected String`
`issr`
`protected PersonIdentificationSchemeName1Choice`
`schmeNm`

## Constructor Summary

Constructors
Constructor
Description
`GenericPersonIdentification1()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getId()`
Gets the value of the id property.
`String`
`getIssr()`
Gets the value of the issr property.
`PersonIdentificationSchemeName1Choice`
`getSchmeNm()`
Gets the value of the schmeNm property.
`void`
`setId(String value)`
Sets the value of the id property.
`void`
`setIssr(String value)`
Sets the value of the issr property.
`void`
`setSchmeNm(PersonIdentificationSchemeName1Choice value)`
Sets the value of the schmeNm property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### id

protected String id

### schmeNm

protected PersonIdentificationSchemeName1Choice schmeNm

### issr

protected String issr

## Constructor Details

### GenericPersonIdentification1

public GenericPersonIdentification1()

## Method Details

### getId

public String getId()
Gets the value of the id property.

Returns:
  possible object is `String`

### setId

public void setId(String value)
Sets the value of the id property.

Parameters:
  `value` - allowed object is `String`

### getSchmeNm

public PersonIdentificationSchemeName1Choice getSchmeNm()
Gets the value of the schmeNm property.

Returns:
  possible object is `PersonIdentificationSchemeName1Choice`

### setSchmeNm

public void setSchmeNm(PersonIdentificationSchemeName1Choice value)
Sets the value of the schmeNm property.

Parameters:
  `value` - allowed object is `PersonIdentificationSchemeName1Choice`

### getIssr

public String getIssr()
Gets the value of the issr property.

Returns:
  possible object is `String`

### setIssr

public void setIssr(String value)
Sets the value of the issr property.

Parameters:
  `value` - allowed object is `String`